# class Cairo::PSSurface

PS surface

### Public Instance Methods

dsc_begin_page_setup() click to toggle source

    static VALUE
    cr_ps_surface_dsc_begin_page_setup (VALUE self)
    {
      cairo_ps_surface_dsc_begin_page_setup (_SELF);
      rb_cairo_surface_check_status (_SELF);
      if (rb_block_given_p ())
        return rb_yield (self);
      else
        return Qnil;
    }

dsc_begin_setup() click to toggle source

    static VALUE
    cr_ps_surface_dsc_begin_setup (VALUE self)
    {
      cairo_ps_surface_dsc_begin_setup (_SELF);
      rb_cairo_surface_check_status (_SELF);
      if (rb_block_given_p ())
        return rb_yield (self);
      else
        return Qnil;
    }

dsc_comment(p1) click to toggle source

    static VALUE
    cr_ps_surface_dsc_comment (VALUE self, VALUE comment)
    {
      cairo_ps_surface_dsc_comment (_SELF, StringValueCStr (comment));
      rb_cairo_surface_check_status (_SELF);
      return Qnil;
    }

eps?() click to toggle source

    static VALUE
    cr_ps_surface_get_eps (VALUE self)
    {
      return cairo_ps_surface_get_eps (_SELF) ? Qtrue : Qfalse;
    }

restrict_to_level(p1) click to toggle source

    static VALUE
    cr_ps_surface_restrict_to_level (VALUE self, VALUE level)
    {
      cairo_ps_surface_restrict_to_level (_SELF, RVAL2CRPSLEVEL (level));
      rb_cairo_surface_check_status (_SELF);
      return Qnil;
    }

set_eps(p1) click to toggle source

    static VALUE
    cr_ps_surface_set_eps (VALUE self, VALUE eps)
    {
      cairo_ps_surface_set_eps (_SELF, RTEST (eps));
      rb_cairo_surface_check_status (_SELF);
      return Qnil;
    }